﻿var bjd = 0;
var ejd = 0;

var bodyw;

$(function() {
	cwbs(38);
	fxb_imgInit();
	setInterval(draw_at, 5);

});


function draw_at() {
	if (bjd == ejd) {
		clearInterval(draw_at);
	} else {
		fxb_imgInit();
		bjd++;
	}
}


var cwname = '';
var cwcolor = '';

//仓位策略标示
function cwbs(cid) {

	ejd = cid;

	if (cid <= 100 && cid >= 70) {
		$('#dp_img').attr('src', 'images/aq.png');
		cwname = "重仓位";
		cwcolor = "#e63333";
	} else if (cid < 70 && cid >= 30) {
		$('#dp_img').attr('src', 'images/js.png');
		cwname = "适度仓位";
		cwcolor = "#098cd0";
	} else if (cid < 30 && cid >= 0) {
		$('#dp_img').attr('src', 'images/fx.png');
		cwname = "轻仓位";
		cwcolor = "#008626";
	}
}


/*********************************************************/


var fctx;
var fpi;
var fctx_w;
var fctx_h;

var ra_x;
var ra_y;

/*
	仓位图
	cwz： 仓位数值
*/
function fxb_imgInit() {

	var canvas = document.getElementById("cw_cvs");
	canvas.width = $(window).width() * 0.8 + 40;
	canvas.height = $(window).width() * 0.8;

	fctx = canvas.getContext("2d");

	setDPR(canvas,fctx);


	fctx_w = $('#cw_cvs').width();
	fctx_h = $('#cw_cvs').height();
	var deg = 0;

	var radius = Math.min(fctx_w * 0.35 / 2, fctx_h * 0.5 / 2) - 25;
	fpi = Math.PI;

	var min_v = 120 * fpi / 180;
	var max_v = 60 * fpi / 180;


	fctx.clearRect(0, 0, fctx_w, fctx_h);

	ra_x = fctx_w * 0.5;
	ra_y = fctx_h * 0.5;

	if (fctx_w < 400) {
		fctx.font = "bolder 14px 微软雅黑";
	} else {
		fctx.font = "bolder 18px 微软雅黑";
	}

	/*  基础扇形  */

	fctx.beginPath();
	fctx.lineWidth = 1;
	fctx.strokeStyle = "#d7d4c4";
	fctx.fillStyle = "#d7d4c4";
	fctx.arc(ra_x, ra_y, fctx_h * 0.4, min_v, max_v, false);
	fctx.lineTo(ra_x, ra_y);
	fctx.stroke();
	fctx.fill();
	fctx.closePath();

	/*  百分比线  */

	var line_y = fctx_h * 0.4 + 10;

	fctx.beginPath();
	fctx.lineWidth = 2;
	fctx.fillStyle = "#000";

	var _bfb = 180;

	for (var i = 0; i < 4; i++) {

		var _b = _bfb + i * 60;

		// var theta = (_bfb + i * 60) * fpi / 4;
		// var _x = line_y * Math.cos(theta);
		// var _y = line_y * Math.sin(theta);

		fctx.arc(ra_x, ra_y, line_y, _b * fpi / 180, (_b + 0.0001) * fpi / 180, false);
		fctx.lineTo(ra_x, ra_y);
	}

	fctx.fillStyle = "#000";

	var _kdbfb = 120;

	for (var n = 0; n < 6; n++) {
		var _hd = (_kdbfb + n * 60) * fpi / 180;
		var _s = n * 20 + '%'; //(100-(n+1) *20) + '%';
		//ra_x + line_y * Math.cos(_hd * fpi / 180 * (line_y - 1));
		var _x = ra_x + line_y * Math.cos(_hd);
		//ra_y + line_y * Math.sin(_hd * fpi / 180 * (line_y - 1));
		var _y = ra_x + line_y * Math.sin(_hd) - 15;
		//fctx.closePath();

		if (n < 3) {
			_x = _x - 33;
		} else {
			_x = _x + 2;
		}

		if (n == 2 || n == 3) {
			_y = _y - 8;
		}

		fctx.fillText(_s, _x, _y);
	}

	fctx.strokeStyle = "#a5de98";
	fctx.stroke();
	fctx.closePath();

	draw_fxb(min_v, max_v, bjd);
}

function draw_fxb(min_vs, max_vs, cwz) {

	cwz = cwz + 1;

	/* 动态层 BEGIN*/
	fctx.beginPath();
	fctx.lineWidth = 1;
	fctx.strokeStyle = cwcolor;
	fctx.fillStyle = cwcolor;
	//ctx.arc(ra_x, ra_y, ctx_h * 0.35, 120 * pi / 180, pi, false);

	var _hds = 120 + (300 / 10) * (cwz / 10);
	fctx.lineTo(ra_x, ra_y);
	fctx.arc(ra_x, ra_y, fctx_h * 0.4, min_vs, _hds * fpi / 180, false);
	fctx.lineTo(ra_x, ra_y);

	fctx.stroke();
	fctx.fill();
	fctx.closePath();
	/* END*/

	fctx.save();

	/*  遮罩圆  */

	fctx.beginPath();
	//fctx.lineWidth = 2;
	fctx.strokeStyle = "#fff";
	fctx.fillStyle = "#fff";
	fctx.arc(ra_x, ra_y, fctx_h * 0.28, min_vs, max_vs, false);
	fctx.stroke();
	fctx.fill();
	fctx.closePath();


	/*  中间数据显示区 */

	fctx.beginPath();

	var font1 = 'bolder 42px 微软雅黑';
	var font2 = 'bolder 78px 微软雅黑';

	if (fctx_w < 400) {
		font1 = "bolder 26px 微软雅黑";
		font2 = "bolder 42px 微软雅黑";
	}

	//fctx.font = "42px 微软雅黑";
	fctx.font = font1;
	fctx.fillStyle = "#000";
	var textA = cwname;
	var textA_w = fctx.measureText(textA).width;
	//ctx.textBaseline="top";
	fctx.fillText(textA, fctx_w / 2 - textA_w / 2, fctx_h * 0.45);

	//fctx.font = "78px 微软雅黑";
	fctx.font = font2;
	fctx.fillStyle = cwcolor;
	//ctx.textBaseline="Hanging";
	var textB = cwz + "%";

	var textB_w = fctx.measureText(textB).width;
	fctx.fillText(textB, fctx_w / 2 - textB_w / 2, fctx_h * 0.65);
	fctx.closePath();

}