﻿$(function() {

	create_jgpj(3.9);

	create_PJA();

	create_PJB();



});


//机构评级绘图
function create_jgpj(cid) {
	//设置中间指标值

	var _tbwidth = $(".gridtable").width();

	$('.arrow-down').css('left', _tbwidth * jgpj_xs(cid) - 100);

}


function jgpj_xs(pjcode) {
	if (pjcode <= 5 && pjcode >= 4.5) {
		return 0.2;
	} else if (pjcode < 4.5 && pjcode >= 3.5) {
		return 0.4;
	} else if (pjcode < 3.5 && pjcode >= 2.5) {
		return 0.6;
	} else if (pjcode < 2.5 && pjcode >= 1.5) {
		return 0.8;
	} else if (pjcode < 1.5 && pjcode >= 1) {
		return 1;
	}
}



//评级图A
function create_PJA() {

	$('#containerA').highcharts({
		chart: {
			type: 'column'
		},
		title: {
			text: ''
		},
		xAxis: {
			categories: [
				'买入',
				'增持',
				'中性',
				'减持',
				'卖出'
			],
			labels: {
				style: {
					color: '#323232',
					fontSize: '22px',
					fontWeight: 'bold'
				}
			},

			lineColor: "#969696", // Y轴的颜色
			lineWidth: 1, // Y轴的宽度
			gridLineWidth: 0 // 横向格线宽度
		},
		yAxis: {
			title: {
				enabled: false
			},
			labels: {
				style: {
					color: '#ed1c1c',
					fontSize: '18px',
					fontWeight: 'bold'
				},
				format: '{value}'
			},
			lineColor: "#969696",
			lineWidth: 1,
			gridLineWidth: 0,
			tickWidth: 1,
			tickPosition: "outside"
		},
		legend: {
			enabled: false
		},
		credits: {
			enabled: false
		},
		tooltip: {
			enabled: false
		},
		plotOptions: {
			enabled: false
		},
		series: [{
			data: [{
				color: '#cf1f21',
				y: 10
			}, {
				color: '#ef4e0e',
				y: 18
			}, {
				color: '#efbd0e',
				y: 3
			}, {
				color: '#56b10d',
				y: 2
			}, {
				color: '#1c8d02',
				y: 5
			}]
		}]

	});

}



//评级图B
function create_PJB() {

	$('#containerB').highcharts({

		chart: {
			marginTop: 100
		},

		title: {
			text: ''
		},
		xAxis: {
			categories: [
				'2012A',
				'2013A',
				'2014E',
				'2015E',
				'2016E'
			],
			labels: {
				style: {
					color: '#323232',
					fontSize: '16px',
					fontWeight: 'bold'
				}
			},

			lineColor: "#969696",
			lineWidth: 1,
			gridLineWidth: 0
		},
		yAxis: [{
			title: {
				text: "(元)",
				style: {
					color: '#323232',
					fontSize: '14px'
				},
				align: "high",
				offset: 0,
				rotation: 0,
				y: -20,
				x: -10
			},
			labels: {
				style: {
					color: '#323232',
					fontSize: '16px',
					fontWeight: 'bold'
				},
				format: '{value}'
			},
			min: 0.2,
			lineColor: "#969696",
			lineWidth: 1,
			gridLineWidth: 0,
			tickWidth: 1,
			tickPosition: "outside"
		}, {
			title: {
				text: "(亿元)",
				style: {
					color: '#323232',
					fontSize: '14px'
				},
				align: "high",
				offset: 0,
				rotation: 0,
				y: -20,
				x: 40
			},
			labels: {
				style: {
					color: '#323232',
					fontSize: '16px',
					fontWeight: 'bold'
				},
				format: '{value}'
			},
			lineColor: "#969696",
			lineWidth: 1,
			gridLineWidth: 0,
			tickWidth: 1,
			tickPosition: "outside",
			opposite: true
		}],
		legend: {
			//enabled: false
			itemStyle: {
				"fontSize": "18px",
				"fontWeight": "bold"
			},
			itemWidth: 100,
			layout: 'horizontal',
			align: 'center',
			//x: 20,
			verticalAlign: 'top',
			//y: -10,
			floating: true,
			backgroundColor: '#FFFFFF'

		},
		credits: {
			enabled: false
		},

		tooltip: {
			enabled: false
		},

		plotOptions: {
			enabled: false
		},
		series: [{
			name: 'ESP',
			color: '#ff9000',
			type: 'column',
			data: [0.22, 0.24, 0.21, 0.30, 0.34]
		}, {
			name: '净利润',
			color: '#cf1f21',
			type: 'line',
			yAxis: 1,
			data: [2.2, 3.0, 2.4, 3.5, 3.8]
		}]

	});

}