var func_share = {};
var agnull = '-';

function SimpleTouch(id,func,touchType){
	this._id = id;
	this.touchType = touchType || 0;

	if(this.touchType==0){
	}
	else if(this.touchType==1){
		$('#'+this._id).click(function(){
			func(this);
		});
	}
	
}

/*
    判断为空
*/
function checkNull(obj) {
	return (obj == undefined || obj == null || obj == '') ? true : false;
}

/*
	转换数字
*/
function chartParseFloat(num){
	return parseFloat((num==null||num==undefined||num=='')?0:num);
}

// 格式化时间 显示 07:00 返回
function formatTime(ft) {
	
	var dateList = ft.split(":");
	var _h = dateList[0].substr(-2,2);
	var _m = dateList[1];
	return _h + ':' + _m;
	
}

function setColor(val) {
	var _color = val;
	try {
		if (!isNaN(parseFloat(val))) {
			if (parseFloat(val) < 0) {
				_color = "<span style='color:#268404'>" + val + "</span>";
			} else if (parseFloat(val) > 0) {
				_color = "<span style='color:#ff3d00'>" + val + "</span>";
			} else {
				return _color;
			}
		}
		else{
			var temp = checkNull(val)?'---':val ;
			_color = "<span style='color:#ffffff'>" + temp + "</span>";
		}

	} catch (e) {}
	return _color;
}

//显示星期时间
function getdateStr(gdate) {
	var weekday = new Array(7);
	weekday[0] = "星期天";
	weekday[1] = "星期一";
	weekday[2] = "星期二";
	weekday[3] = "星期三";
	weekday[4] = "星期四";
	weekday[5] = "星期五";
	weekday[6] = "星期六";
	var _week;
	_week = weekday[gdate.getDay()];
	return _week;
}

/*
	格式和日期，flag:中间间隔符可以自定义,默认为"-",YYYY-MM-DD
	2015-01-01
*/
function formatDate(d,flag){
	if (d ==''|| d ==null || d==undefined) return '';
	if(d.constructor==Date){
		var year = d.getFullYear();
		var month = d.getMonth()+1;
		month = (month<10)?('0'+month):month;
		var day = d.getDate();
		if(day<10) day = "0" + day;

		if(flag==null || flag==undefined) flag="-";
		var strDate = year.toString()+flag+month.toString()+flag+day.toString();
		return strDate;
	}
	d = d.toString();
	if(d.length!=8)
		return d;
	if(flag==null || flag==undefined) flag="-";
	return d.slice(0, 4)+flag+d.slice(4, 6)+flag+d.slice(6,8);
}

/*
 * 计算天数 bs == 1 减 / 否则为 加
 */
function compDay(days, num, bs) {

	var newDate = new Date(days);
	newDate = newDate.valueOf();

	if (bs == 1) {
		newDate = newDate - num * 24 * 60 * 60 * 1000;
	} else {
		newDate = newDate + num * 24 * 60 * 60 * 1000;
	}
	nowdata = new Date(newDate);
	return [nowdata.getDate().toString(),getdateStr(nowdata),formatDate(nowdata)];
}

/* 显示loading
 * 父节点id
 * sid 自建id
 * cnt 文本内容
 * src 图片地址
 */
function divShowloading(divid, sid, src,margintop,cnt) {

	var _top = margintop || 5;
	var _cnt = cnt || '数据加载中...';
    var _divstr = '';    
    _divstr+= '<div id="' + sid + '" style="margin:'+_top+'px auto ;color:#959BAA;font-size: 0.800em;width: 125px;height: 25px;">';
	_divstr+= '<img src="' + src + '" style="width: 25px;float: left;margin-right: 8px;"/><span style="float: left;line-height: 25px;">'+_cnt+'</span></div>';
    $("#" + divid).append(_divstr);    
}

function matchUrl(url){
	var _url = url;
	if(!checkNull(_url)) {
		return (/^http:\/\/([\w-]+\.)+[\w-]+(\/[\w-./?%&=]*)?$/).test(_url); 
	}
	return false;
}


