﻿var _ntime = new Date();
var date_list = [];
var cur_id = '';
var _alarmid = '';
var time_count;
var server_time;
var timedict;
var diffcur = 0;

$(function() {
	new FastClick(document.body);
	var weekcur = 0;
	for (var i = -2; i <= 2; i++) {
		var tempList = compDay(_ntime, i, 2);
		date_list.push(tempList[2]);
		var weekstr = (i == 0) ? '今日' : tempList[1];
		var str = "<li id='date_" + weekcur + "' ><div>" + tempList[0] + "</div><div>" + weekstr + "</div></li>";
		$('.timesel').append(str);
		if (i == 0) {
			cur_id = 'date_' + weekcur;
			$('#date_' + weekcur).addClass('selcur');
		}
		new SimpleTouch('date_' + weekcur, onChangeTab, 1);
		weekcur++;
	}
	get_zyData();
});

/********************************************************/

function onChangeTab(e) {
	if (e.id != cur_id) {
		var cxdate = date_list[e.id.replace(/date_/, '')];
		$('#' + cur_id).removeClass('selcur');
		$('#' + e.id).addClass('selcur');
		$('#yjlx_ul').empty();
		cur_id = e.id;
		if(e.id == 'date_2'){
			$('#zydiv').show();
		}
		else{
			$('#zydiv').hide();
		}
		get_YJLX(cxdate);
	}
}

/*  银家路线今日重要数据*/
function get_zyData(){
	var _ups = new UPContent();
	_ups.Set('a', '');
	Up_Callback('ret_zyData', 'get_zyData', _ups, '', 'HTTP');
}

function ret_zyData(json){
	get_YJLX(date_list[cur_id.replace(/date_/, '')]);
	var _zydata = json;
	if(!checkNull(_zydata)){
		var _zydict = _zydata[0];
		if(!isNullObj(_zydict)){
			server_time =(checkNull(_zydict['servertime']))?'':getDateTime(_zydict['servertime']);
			if(checkNull(server_time) || isNaN(server_time)){
				return;
			}
			var _zylist = _zydict['yjxltlist'];
			timedict = {};
			if(!checkNull(_zylist)){
				var _zystr = '';
				for(var i=0,len=_zylist.length;i<len;i++){
					var _data = _zylist[i];
					if(!isNullObj(_data)){
						var _dline =(checkNull(_data['deadline']))?'':getDateTime(_data['deadline']);
						if(checkNull(_dline) || isNaN(_dline)){
							continue;
						}
						if(getDateTime(_data['deadline'].substr(0,10)) >= getDateTime(_zydict['servertime'].substr(0,10))){
							var _timeid = 'timeout_'+i;
							var _title = (checkNull(_data['title']))?'--':_data['title'];
							var _max = (checkNull(_data['highyield']))?'--':(_data['highyield']+'%');
							var _avg = (checkNull(_data['lowyield']))?'--':(_data['lowyield']+'%');
							var _star = _data['star'];
							var _img = '';
							if(parseInt(_star)>=3){
								for (var j = 0; j < 3; j++) {
									_img += '<img src="images/s_y.png" class="star">';
								}
							}
							else{
								for (var j = 0; j < 3; j++) {
									if(j<parseInt(_star)){
										_img += '<img src="images/s_y.png" class="star">';
									}
									else{
										_img += '<img src="images/s_h.png" class="star">';
									}
								}
							}
							_zystr += '<table cellspacing="0" cellpadding="0" class="zytable">';
							_zystr += '<tr><td>今日重要数据</td><td>公布倒计时</td></tr>';
							_zystr += '<tr><td><div class="ztdiv"><div class="zt">'+_title+'</div>';
							_zystr += '<div class="zytitle"><span>重要性：</span>'+_img+'</div></div></td>';
							if(server_time < _dline){
								timedict[_timeid] = _dline;
								_zystr +="<td id='"+_timeid+"'>"+countTime(_timeid,_dline-server_time,1)+"</td>";
							}
							else{
								_zystr +="<td id='"+_timeid+"'>"+'00:00:00'+"</td>";
							}
							_zystr +="</tr></table>";
						}
					}
				}
				if(!checkNull(_zystr)){
					$('#zydiv').append(_zystr);	
					time_count = setInterval(function(){setServerTimeCount()},1000);
				}
			}
		}
	}
}


/*  取财经日历数据*/
function get_YJLX(date){
	divShowloading('yjlx_ul', 'load', '../mlib/images/xubox_loading1.gif',15);
	var _ups = new UPContent();
	_ups.Set('date', date);
	Up_Callback('ret_YJLX', 'get_YJLX', _ups, '', 'HTTP');
}

/*  应答包  */
function ret_YJLX(formId, funcId, flag, strParam) {

	$('#yjlx_ul').empty();
	var _listcpi = UP_RetResult(strParam);
	if (_listcpi["ErrorCode"] == 0) {
		if (_listcpi["NUM"] > 0) {
			onCallBack_YJLX(_listcpi["data"]);
		} else {
			$('#yjlx_ul').append('<div class="nodata"><div class="nodata_img"></div><div class="nodata_text">今日无数据...</div></div>');
		}
	} else {
		$('#yjlx_ul').append('<div class="nodata"><div class="nodata_img"></div><div class="nodata_text">今日无数据...</div></div>');
	}
}

//返回列表
function onCallBack_YJLX(cdata) {

	for (var i = 0; i < cdata.length; i++) {
		var _json = cdata[i];
		drawList('yjlx_ul', _json, i.toString());
		if (!checkNull(_json["ChildsList"])) {
			var childData = _json["ChildsList"];
			for (var j = 0; j < childData.length; j++) {
				childData[j]['Country'] = _json['Country'];
				childData[j]['Time'] = _json['Time'];
				drawList('yjlx_ul', childData[j],i + '_' + j);
			}
		}
	}
	get_alarmid();
//	getnowheight($('body').height());
	getnowheight(document.documentElement.scrollHeight);
}

//财经日历主界面
function drawList(id, data,li_id) {
	if ($.trim(data["Importance"]) == "高"){
		var _id = data["Id"];
		var _str = '';
		var _img = '';
		var _url = '';
		for (var i = 0; i < 3; i++) {
			_img += '<img src="images/s_y.png" class="star">';
		}
		var ptime = new Date(data["Time"].replace(/-/g, "/")).valueOf();
		var alarm_str = '';
		var alarm_flag = false;
		if (_ntime >= ptime) {
			alarm_str += '<li class="ztime">' + formatTime(data["Time"]) + '</li><li class="ztime">已公布</li>';
		} else {
			if(li_id.indexOf('_') == -1){
				alarm_flag = true;
				alarm_str += '<li class="alarmtime" dateline="'+ data["Time"] +'" id="' + 'yj_' + _id + '">' + formatTime(data["Time"]) + '</li>';
			}
			else{
				alarm_str += '<li class="ztime">' + formatTime(data["Time"]) + '</li><li class="ztime">未公布</li>';
			}
		}
		var _strategy = data["Strategy"];
		if(!matchUrl(_strategy)){
			_url = '<li style="width: 100%;border-right:0px;" id="jd'+li_id+'"><div>解读</div></li>';
		}
		else{
			_url += '<li id="cl_'+_id+'" a="'+_strategy+'"><div>策略</div></li>';
			_url += '<li id="jd'+li_id+'"><div>解读</div></li>';
		}
		_str+= '<li class="cgnews"><table class="table" cellpadding="0" cellspacing="0"><tbody><tr><td>';
		_str+= '<div id="'+li_id+'" class="ztdiv">';
		_str+= '<div class="zt">'+data["Country"]+data["Name"]+'</div>';
		_str+= '<div class="zttext">';
		_str+= '<div>前&nbsp;值：'+ setColor(data["BeforeValue"]) + '</div>';	
		_str+= '<div>预测值：'+ setColor(data["CalculatedValue"]) + '</div>';
		_str+= '<div>公布值：'+ setColor(data["PublishValue"]) + '</div>';	
		_str+= '<div><span>重要性：</span>' + _img+ '</div></div></div></td>';
		_str+= '<td><ul class="startime">' + alarm_str+'</ul></td></tr>';
		_str+= '<tr><td colspan="2"><ul class="tableul">';
		_str+= _url;
		_str+= '</ul></td></tr></tbody></table></li>';
		$('#' + id).append(_str);
		new SimpleTouch(li_id, gotoDataInfo, 1);
		new SimpleTouch('jd'+li_id, onGetJd, 1);
		if (alarm_flag) new SimpleTouch('yj_'+_id, setAlarm, 1);
		new SimpleTouch('cl_'+_id, onGetCl, 1);
	}
}

//跳转数据解读
function gotoDataInfo(e) {
	get_sjinfo(e.id);
}

/*请求包 */
function get_sjinfo(num) {
	var _ups = new UPContent();
	_ups.Set('num', num);
	Up_Callback('', 'sjjd', _ups, '', 'HTTP');
}

function setAlarm(e) {
//	event.cancleBubble = true;
//	event.stopPropagation();
	_alarmid = e.id.replace(/yj_/g, "");
	if (e.className == "alarmtime") {
		var dateline = new Date($(e).attr('dateline').replace(/-/g,"/")).valueOf();
		set_alarmid(_alarmid,dateline);
	}
	else if(e.className == "salarmtime") {
		del_alarmid(_alarmid);
	}
}

/*设置预警*/
function set_alarmid(id,time) {
	var _ups = new UPContent();
	_ups.Set('id', id);
	_ups.Set('dateline', time);
	Up_Callback('ret_setalarmid', 'setalarm', _ups, '', 'HTTP');
}

function ret_setalarmid(flag) {
	if(flag == '0'){
		$('#yj_'+_alarmid).removeClass("alarmtime").addClass("salarmtime");		
	}
}

/*取消预警*/
function del_alarmid(id){
	var _ups = new UPContent();
	_ups.Set('id', id);
	Up_Callback('ret_delalarmid', 'delalarm', _ups, '', 'HTTP');
}

function ret_delalarmid(flag){
	if(flag == '0'){
		$('#yj_'+_alarmid).removeClass("salarmtime").addClass("alarmtime");		
	}
}

/*获取已经预警的财经日历*/
function get_alarmid(){
	var _ups = new UPContent();
	_ups.Set('a', '');
	Up_Callback('ret_alarmid', 'getalarmid', _ups, '', 'HTTP');
}

function ret_alarmid(json){
	var _alarm = json;
	if(!checkNull(_alarm)){
		for(var i=0;i<_alarm.length;i++){
			if($('#yj_'+_alarm[i]).length >0)  $('#yj_'+_alarm[i]).removeClass("alarmtime").addClass("salarmtime");
		}
	}
}

//银家路线策略响应事件
function onGetCl(e){
	var _ups = new UPContent();
	_ups.Set('url', $(e).attr('a'));
	Up_Callback('', 'opencl', _ups, '', 'HTTP');
}

//银家路线解读响应事件
function onGetJd(e){
	get_sjinfo(e.id.replace(/jd/g, ""));
}

//重要事件倒计时
function setServerTimeCount(){
	diffcur++;
	if(isNullObj(timedict)){
		clearInterval(time_count);
	}
	else{
		for(var time in timedict){
			var diff = timedict[time] - server_time -diffcur*1000;
			if(diff<=0){
				$('#'+time).html('00:00:00');
				delete timedict[time];
			}
			else{
				countTime(time,diff);
			}
		}
	}
}

function countTime(id,differ,flag){
	var d = Math.floor(differ / 1000 / 60 / 60 / 24);
	var h = Math.floor(differ / 1000 / 60 / 60 % 24);
	var m = Math.floor(differ / 1000 / 60 % 60);
	var s = Math.floor(differ / 1000 % 60);
	if(flag === 1){
		return setMMSS(d*24+h)+':'+setMMSS(m)+':'+setMMSS(s);
	}
	else{
		$('#'+id).html(setMMSS(d*24+h)+':'+setMMSS(m)+':'+setMMSS(s));
	}
}

function setMMSS(num){
	return num > 9 ? num : ("0" + num);
}

function getDateTime(dateStr){
	return new Date(dateStr.replace(/-/g,"/")).getTime();
}

function isNullObj(obj){
	for(var i in obj){
		if(obj.hasOwnProperty(i)){
            return false;
        }
    }
    return true;
}

