﻿
var titlefont = '14px';
var xfont = '10px';
var yfont = '10px';
var chart_xnum = 4;
var chart_name = '';
var chart_unit = '';

$(function() {
	document.getElementById("qxtdiv").style.height = '280px';
});

/******************************************************/


//数据信息
function  ret_sjinfo(formId, funcId, flag, strParam){

	$('#qxtdiv').empty();
	var _listsj = UP_RetResult(strParam);

	if (_listsj["ErrorCode"] == 0) {
		if (_listsj["NUM"] > 0) {
			
			onCallBack_Info(_listsj["data"]);
			var _chartDict = _listsj["data"][0]["Charts"];
			if(checkNull(_chartDict)){
				$('#qxtdiv').append('<li class="errordiv">暂无数据！</li>');
			}
			else{
				chart_name = _listsj["data"][0]["Name"];
				chart_unit = _chartDict["ChartsUnit"];
				get_chartdata(_chartDict["Id"]);
			}
		} else {
			$('#sjtit,#xcgb_td,#fbpv_td,#gbjg_td,#sjyx_td,#sjsy_td,#gzyy_td').html("暂无数据");
			$('#qxtdiv').append('<li class="errordiv">暂无数据！</li>');
		}
	} else {
		$('#sjtit,#xcgb_td,#fbpv_td,#gbjg_td,#sjyx_td,#sjsy_td,#gzyy_td').html("暂无数据");
		$('#qxtdiv').append('<li class="errordiv">暂无数据！</li>');
	}

}

//具体数据组装
function onCallBack_Info(idatas){
	var idata = idatas[0];
	$('#sjtit').text(idata["Name"]);
	if(checkNull(idata["Description"])){
		$('#xcgb_td').html("暂无数据");
		$('#fbpv_td').html("暂无数据");
		$('#gbjg_td').html("暂无数据");
		$('#sjyx_td').html("暂无数据");
		$('#sjsy_td').html("暂无数据");
		$('#gzyy_td').html("暂无数据");
	}
	else{
		$('#xcgb_td').html(idata["Description"]["NextTime"]);
		$('#fbpv_td').html(idata["Description"]["Frequency"]);
		$('#gbjg_td').html(idata["Description"]["Organization"]);
		$('#sjyx_td').html(idata["Description"]["Influence"]);
		$('#sjsy_td').html(idata["Description"]["Paraphrase"]);
		$('#gzyy_td').html(idata["Description"]["Cause"]);
	}
}

/*  请求包 */
function get_chartdata(id) {
	divShowloading('qxtdiv', 'load', '../mlib/images/xubox_loading2.gif');
	var _ups = new UPContent();
	_ups.Set('id', id);
	Up_Callback('ret_chartdata', '', _ups, '', 'HTTP');
}

/*  应答包  */
function ret_chartdata(formId, funcId, flag, strParam) {

	$('#qxtdiv').empty();
	var _chartdata = UP_RetResult(strParam);
	
	if (_chartdata["ErrorCode"] == 0) {
		if (_chartdata["NUM"] > 0) {
			
			var chartData =[];
			var dataList =[];
			if(!checkNull(_chartdata["data"])){
				$.each(_chartdata["data"], function(i,e) {    
					var data_xy =[e.Date.replace(/-/g, "/").substring(2),chartParseFloat(e.Num)];
					dataList.push(data_xy);
				});
			}
			chartData.push({data:dataList});
			drowChart(chart_name,chartData,chart_unit);
		} else {
			$('#qxtdiv').append('<li class="errordiv">暂无数据！</li>');
		}
	} else {
		$('#qxtdiv').append('<li class="errordiv">' + _chartdata["ErrorInfo"] + '</li>');
	}
	
}

function drowChart(name,data,unit) {
	
	var _unit=checkNull(unit)?'':unit;
	var data_num = data[0].data.length;
	var tickLength = (data_num<=chart_xnum)?1:((data[0].data.length%4)==0)?(data[0].data.length/4):parseInt(data[0].data.length/4)+1;
	$('#qxtdiv').highcharts({

		chart: {
			type: 'spline'
		},

		title: {
			text: name,
			style: {
				"color": "#323232",
				"fontSize": titlefont
			}
		},

		xAxis: {
			type: 'category',
			tickInterval: tickLength,
			tickmarkPlacement: 'on',
			labels: {
				style: {
					color: '#323232',
					fontSize: xfont
				},
				y:30
			}
		},
		yAxis: {
			title: {
				text: ''
			},
			plotLines: [{
				value: 0,
				width: 1,
				color: '#808080'
			}],
			labels: {
				style: {
					color: '#323232',
					fontSize: yfont
				},
               format: '{value}'+_unit
				
			}
		},
		plotOptions: {  
	        spline: {  
	            lineWidth: 1,  
	             marker: {  
	                enabled: true,  
	                radius: 2 
	            },  
	            shadow: false  
	        }  
	    },  
		tooltip: {
			formatter: function() {
				return '<b>' + this.point.name + '</b><br/>数据：<span style="font-size: 1.000em;">' + this.y + '</span>';
			}
		},
		legend: {
			enabled: false
		},
		credits: {
			enabled: false
		},
		series: data
	});
}
