﻿
Element.prototype.getText=function(){
	if(this.innerText==undefined){return this.textContent;}
	else{return this.innerText;}
}

Element.prototype.setText=function(str){
	if(this.innerText==undefined){this.textContent=str||"";}
	else{this.innerText=str||"";}
}

Element.prototype.getFinalStyle=function(property,fontSize){
	var s;
	if(window.getComputedStyle){
		s = window.getComputedStyle(this, null)[property];
	}
	else{
		s = this.currentStyle[property];
	}

	if(fontSize!=undefined){
		s = s*fontSize + "px";
	}
	return s.substring(0,s.toString().length-2);

}

Element.prototype.mlellipsis=function(row){

	var str = this.getText();
	var title = this.getAttribute("title");
	if(title==null){this.setAttribute("title",str);}
	else{this.setText(title);}

	var fontSize = this.getFinalStyle("fontSize");
	if(/msie/i.test(navigator.userAgent)){
		var lineHeight = this.getFinalStyle("lineHeight",fontSize);
	}
	else{
		var lineHeight = this.getFinalStyle("lineHeight");
	}
	var height  = this.clientHeight;

	if(lineHeight == "norm"){
		lineHeight = Number(fontSize*1.5);
		var nowStyle = this.getAttribute("style")||"";
		this.setAttribute("style",nowStyle+";line-height:"+lineHeight+"px");
	}
	else{lineHeight = Number(lineHeight);}


	var dheight = Math.floor(row*lineHeight);
	if(height >= dheight){
		str = this.getText();

		while(dheight*3<this.clientHeight){
			this.setText(str.substring(0,str.length/2));
			str = this.getText();
		}

		while(dheight<this.clientHeight){
			str = this.getText();
			this.setText(str.replace(/(\s)*([a-zA-Z0-9]?|\W)(\.\.\.)?$/,"..."));
		}
	}
}





